Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
only102

[Nhờ chỉnh sửa]LISP Cập nhật đối tượng vào layer hiện hành

Các bài được khuyến nghị

only102    15

Mình có lisp này, khi thực hiện lệnh, sẽ cập nhật đối tượng vào layer hiện hành. Nhưng nó chỉ cho phép chuyển layer, còn màu sắc của đối tượng vẫn không thay đổi. Mình muốn thêm phần tự động chuyển màu về bylayer khi thực hiện lệnh này. Mong các bạn sửa giúp mình!

Cảm ơn rất nhiều!

;;; ================== Cap nhat doi tuong vao layer hien hanh ==================
(Defun LAYCUR (/ SS CNT LAY)  (setvar "cmdecho" 0)
 (if (not (setq SS (ssget "i")))
(progn (prompt "\nChon doi tuong cap nhat vao layer hien hanh: ")
 	(setq SS (ssget))	)  )
 (if SS	(progn
  (setq CNT (sslength SS)) (princ (strcat "\n" (itoa CNT) " Doi tuong tim thay."))              	(command "_.move" SS "")                     
 	(if (> (getvar "cmdactive") 0)               
   	(progn
     	(command "0,0" "0,0") (setq SS  (ssget "p") CNT (- CNT (sslength SS))	)   )
     	(setq SS nil) 	)  (if (> CNT 0)                                
     	(princ (strcat "\n" (itoa CNT) " Doi tuong tren layer LOCK.")) ) ) )
 (if SS	(progn
 	(setq LAY (getvar "CLAYER")) (command "_.chprop" SS "" "_la" LAY "")
 	(if (= (sslength SS) 1)
   	(prompt (strcat "\n1 doi tuong da cap nhat vao layer : " LAY " (layer hien hanh)."))
   	(prompt (strcat "\n" (itoa (sslength SS)) " doi tuong da cap nhat vao layer : " LAY " (layer hien hanh).")) ) ))  (princ) );end
(defun c:LAYCUR () (laycur)) (defun c:5	() (laycur))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Mình có lisp này, khi thực hiện lệnh, sẽ cập nhật đối tượng vào layer hiện hành. Nhưng nó chỉ cho phép chuyển layer, còn màu sắc của đối tượng vẫn không thay đổi. Mình muốn thêm phần tự động chuyển màu về bylayer khi thực hiện lệnh này. Mong các bạn sửa giúp mình!

Cảm ơn rất nhiều!

 

Hề hề hề,

Bạn bổ sung thêm các ký tự sau : "c" "bylayer" vào dòng code : (command "_.chprop" SS "" "_la" LAY "") để trở thành: (command "_.chprop" SS "" "_la" LAY "c" "bylayer" "") là OK

Chúc bạn vui.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
only102    15

Hề hề hề,

Bạn bổ sung thêm các ký tự sau : "c" "bylayer" vào dòng code : (command "_.chprop" SS "" "_la" LAY "") để trở thành: (command "_.chprop" SS "" "_la" LAY "c" "bylayer" "") là OK

Chúc bạn vui.

WOW! Đúng như ý mình.

Cảm ơn bạn rất nhiều!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chiron    91

Mình có lisp này, khi thực hiện lệnh, sẽ cập nhật đối tượng vào layer hiện hành. Nhưng nó chỉ cho phép chuyển layer, còn màu sắc của đối tượng vẫn không thay đổi. Mình muốn thêm phần tự động chuyển màu về bylayer khi thực hiện lệnh này. Mong các bạn sửa giúp mình!

Cảm ơn rất nhiều!

;;; ================== Cap nhat doi tuong vao layer hien hanh ==================
(Defun LAYCUR (/ SS CNT LAY)  (setvar "cmdecho" 0)
 (if (not (setq SS (ssget "i")))
(progn (prompt "\nChon doi tuong cap nhat vao layer hien hanh: ")
 	(setq SS (ssget))	)  )
 (if SS	(progn
  (setq CNT (sslength SS)) (princ (strcat "\n" (itoa CNT) " Doi tuong tim thay."))              	(command "_.move" SS "")                    
 	(if (> (getvar "cmdactive") 0)              
   	(progn
     	(command "0,0" "0,0") (setq SS  (ssget "p") CNT (- CNT (sslength SS))	)   )
     	(setq SS nil) 	)  (if (> CNT 0)                                
     	(princ (strcat "\n" (itoa CNT) " Doi tuong tren layer LOCK.")) ) ) )
 (if SS	(progn
 	(setq LAY (getvar "CLAYER")) (command "_.chprop" SS "" "_la" LAY "")
 	(if (= (sslength SS) 1)
   	(prompt (strcat "\n1 doi tuong da cap nhat vao layer : " LAY " (layer hien hanh)."))
   	(prompt (strcat "\n" (itoa (sslength SS)) " doi tuong da cap nhat vao layer : " LAY " (layer hien hanh).")) ) ))  (princ) );end
(defun c:LAYCUR () (laycur)) (defun c:5	() (laycur))

Mình nghĩ, không cần dùng tới lisp đâu. Bạn có thể dùng lệnh laycur, đây là lệnh của autocad nên không phải load lisp khác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
only102    15

Mình nghĩ, không cần dùng tới lisp đâu. Bạn có thể dùng lệnh laycur, đây là lệnh của autocad nên không phải load lisp khác.

Cảm ơn bạn đã quan tâm!

Lệnh laycur cũng giống lisp này và cũng ko thay đổi được màu tự động về by layer. Còn đoạn lisp trên, thực ra nó nằm trong bộ lisp bật tắt layer của mình và mình muốn thay đổi một chút như đã nêu ở trên cho hợp với công việc mình đang làm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×